This is the multi-page printable view of this section. Click here to print.
List VPC Peering Rules
1 - 1.3
get /v1/vpc-peerings/{vpc_peering_id}/routing-rules
Description
Get VPC Peering Rule list.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : 023c57b14f11483689338d085e061492 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC Peering Rule ID Example : | any of [string, null] | None |
| query | source_vpc_id optional | Source VPC ID Example : | any of [string, null] | None |
| query | source_vpc_type optional | Source VPC Type Example : | enum (REQUESTER_VPC, APPROVER_VPC) | None |
| query | destination_vpc_id optional | Destination VPC ID Example : | any of [string, null] | None |
| query | destination_vpc_type optional | Destination VPC Type Example : | enum (REQUESTER_VPC, APPROVER_VPC) | None |
| query | destination_cidr optional | Destination CIDR Example : | any of [string, null] | None |
| query | state optional | State Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR, EDITING, CREATING_REQUESTING, REJECTED, CANCELED, DELETING_REQUESTING), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcPeeringRuleListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.3"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpc_peering_rules": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"destination_cidr": "",
"destination_vpc_id": "",
"destination_vpc_name": "",
"destination_vpc_type": "REQUESTER_VPC",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"source_vpc_id": "",
"source_vpc_name": "",
"source_vpc_type": "REQUESTER_VPC",
"state": "CREATING",
"vpc_peering_id": ""
}
]
}
2 - 1.2
get /v1/vpc-peerings/{vpc_peering_id}/routing-rules
Description
Get VPC Peering Rule list.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : 023c57b14f11483689338d085e061492 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC Peering Rule ID Example : | any of [string, null] | None |
| query | source_vpc_id optional | Source VPC ID Example : | any of [string, null] | None |
| query | source_vpc_type optional | Source VPC Type Example : | enum (REQUESTER_VPC, APPROVER_VPC) | None |
| query | destination_vpc_id optional | Destination VPC ID Example : | any of [string, null] | None |
| query | destination_vpc_type optional | Destination VPC Type Example : | enum (REQUESTER_VPC, APPROVER_VPC) | None |
| query | destination_cidr optional | Destination CIDR Example : | any of [string, null] | None |
| query | state optional | State Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR, EDITING, CREATING_REQUESTING, REJECTED, CANCELED, DELETING_REQUESTING), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcPeeringRuleListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpc_peering_rules": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"destination_cidr": "",
"destination_vpc_id": "",
"destination_vpc_name": "",
"destination_vpc_type": "REQUESTER_VPC",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"source_vpc_id": "",
"source_vpc_name": "",
"source_vpc_type": "REQUESTER_VPC",
"state": "CREATING",
"vpc_peering_id": ""
}
]
}
3 - 1.1
get /v1/vpc-peerings/{vpc_peering_id}/routing-rules
Description
Get VPC Peering Rule list.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.1 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : 023c57b14f11483689338d085e061492 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC Peering Rule ID Example : | any of [string, null] | None |
| query | source_vpc_id optional | Source VPC ID Example : | any of [string, null] | None |
| query | source_vpc_type optional | Source VPC Type Example : | enum (REQUESTER_VPC, APPROVER_VPC) | None |
| query | destination_vpc_id optional | Destination VPC ID Example : | any of [string, null] | None |
| query | destination_vpc_type optional | Destination VPC Type Example : | enum (REQUESTER_VPC, APPROVER_VPC) | None |
| query | destination_cidr optional | Destination CIDR Example : | any of [string, null] | None |
| query | state optional | State Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR, EDITING, CREATING_REQUESTING, REJECTED, CANCELED, DELETING_REQUESTING), null] | None |
| query | name optional | VPC Peering Name Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcPeeringRuleListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpc_peering_rules": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"destination_cidr": "",
"destination_vpc_id": "",
"destination_vpc_name": "",
"destination_vpc_type": "REQUESTER_VPC",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"source_vpc_id": "",
"source_vpc_name": "",
"source_vpc_type": "REQUESTER_VPC",
"state": "CREATING",
"vpc_peering_id": ""
}
]
}
4 - 1.0
get /v1/vpc-peerings/{vpc_peering_id}/routing-rules
Description
Get VPC Peering Rule list.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : 023c57b14f11483689338d085e061492 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC Peering Rule ID Example : | any of [string, null] | None |
| query | source_vpc_id optional | Source VPC ID Example : | any of [string, null] | None |
| query | source_vpc_type optional | Source VPC Type Example : | enum (REQUESTER_VPC, APPROVER_VPC) | None |
| query | destination_vpc_id optional | Destination VPC ID Example : | any of [string, null] | None |
| query | destination_vpc_type optional | Destination VPC Type Example : | enum (REQUESTER_VPC, APPROVER_VPC) | None |
| query | destination_cidr optional | Destination CIDR Example : | any of [string, null] | None |
| query | state optional | State Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR, EDITING, CREATING_REQUESTING, REJECTED, CANCELED, DELETING_REQUESTING), null] | None |
| query | name optional | VPC Peering Name Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcPeeringRuleListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpc_peering_rules": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"destination_cidr": "",
"destination_vpc_id": "",
"destination_vpc_name": "",
"destination_vpc_type": "REQUESTER_VPC",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"source_vpc_id": "",
"source_vpc_name": "",
"source_vpc_type": "REQUESTER_VPC",
"state": "CREATING",
"vpc_peering_id": ""
}
]
}